/*
* dans un premier temps CSS de test 
* concernera toutes les pages ne contenant pas d'images
* version : 0,1
*/
/* 
    Created on : 28 août 2020, 10:35
    Author     : Olivier
*/

/*paramtre du body*/
body{
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    background-color: #e6e6e6;
    margin: 0px;
}

header {
    display: flex;
    flex-direction: column;
    /*background-color: darkseagreen;/*#e1fbde*/
    color : green;
    margin-bottom: 12px;

    
}

header a {
    text-decoration: none;
    color: green;
}

header img{
    width: 100%;
}

header h2 {
    margin: 0px;
}

#topmenu {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin: 0px;
}
header div{
    margin-bottom: 10px;
    margin-top: 10px; 
}

header #menu {
    padding: 5px;
}
header #connexion {
    padding: 8px;
}

header #accueil{
    padding: 8px;
}
em {
    color: darkslategray;
    text-align: center;
    padding-bottom: 3px;
    padding-top: 2px;
    margin-top: 7px;
}
/*longeur de la section -> à modifier probablement*/    
section{
    /*width: 100%;/*1010px/*986px-> test sans pour voir */;
    margin-top: 7px;
    margin-bottom: 6px;
    margin-left: 10px;
    margin-right: 10px;
    color: green;
    /*text-align: center;*/
}
#chemin a {
    text-decoration: none;
    color: green;
}

/*parametre de la page d'index*/
#principale{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
       

}
#principale picture {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 5px;
    padding: 3px;
    width: 30%;
}

#principale img {
    width: 100%;
     
}
/*le menu de navigation du footer*/
footer {
    /*width: 1010px;*/
    margin-top: 8px;
    margin-bottom: 7px;
    /*background-color: darkseagreen;*/
    display: flex;
    flex-direction: column;
}

footer nav {
    display: flex;
    justify-content: flex-end;
}
footer nav ul {
    display: flex;
    flex-direction: column;
    padding-left: 0px;
    padding-right: 12px;
    margin-top: 21px;
    margin-bottom: 13px;

    
}
    
footer nav ul li {
        list-style-type: none;         
}

footer nav ul li a {
    text-decoration: none;
    color :darkslategrey;
}

footer small{
    /*padding-left: 5px; si je remets le small à gauche*/
    padding-bottom: 3px;
    margin-left: auto;
    margin-right: auto;
}
footer small a {
    color:green;
}
/*footer{
    /*width: 100%;
    text-align: center;
    padding-bottom: 3px;
    padding-top: 20px;
    background-color: darkseagreen;
}

footer small a {
    color: green;
}*/

/*parametre de la page album*/
#album{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
       

}
#album picture {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 5px;
    padding: 3px;
    width: 48%;
}

#album img{
    width: 100%;
}

/*parametre de la section description*/
#descritpion {
    width: 50%;
    margin-left: auto;
    margin-right: auto;
}

#descritpion h2 {
    text-align: center;
}

.underline {
    text-decoration: underline;
}

/*parametre de la page photo*/

#photo {
    display: flex;
    flex-direction: row;
}
#photo aside {
    display: flex;
    flex-direction: column;
    width: 25%;
    margin-left: 10px;
    margin-top: auto;
    margin-bottom: auto;
    
    
}

#photo aside h2 {
    text-align: center;
    margin-bottom: 0px;
    /*margin-top: 0px;*/
}

#photo p {
    text-align: justify;
}

#photo ul li {
    list-style-type: none;
}

#photo picture {
    width: 75%;
    display: flex;
    flex-direction: row;
}

/*version fleche sur le coté*/
#centrale img {
    width: 100%;
}
#suivante {
    margin-top: auto;
    margin-bottom: auto;
}

#precedente {
    margin-top: auto;
    margin-bottom: auto;
}

#centrale {
    margin-top: auto;
    margin-bottom: auto;
}

